# List vaults

List all vaults within the organization

Endpoint: POST /v2/vaults:list
Version: 2.0
Security: TokenAuth

## Request fields (application/json):

  - `pageSize` (integer)
    The number of results to return per page (default 50, max 1000)
    Example: 1000

  - `pageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `correlationId` (string)
    Correlation ID for tracking various actions on the vault
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `pagination` (object)
    Pagination and sorting. Sortable fields: name, created_at, updated_at.

  - `pagination.pageSize` (integer)
    Number of results per page (default 50, max 1000)
    Example: 50

  - `pagination.pageToken` (string)
    Token for pagination from previous response
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `pagination.orderBy` (string)
    Field to order results by
    Example: "created_at"

  - `pagination.order` (string)
    Sort order (ASC or DESC)
    Enum: "SORT_ORDER_ASC", "SORT_ORDER_DESC"

  - `filter` (object)
    Optional vault filters. Each populated sub-filter is AND-ed.

  - `filter.id` (object)
    Filter by vault ID

  - `filter.id.eq` (string)
    Exact match

  - `filter.id.notEq` (string)
    Not equal to

  - `filter.id.contains` (string)
    Contains substring (case-insensitive)

  - `filter.id.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.id.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.id.in` (array)
    Value is in the list

  - `filter.id.notIn` (array)
    Value is not in the list

  - `filter.id.isNull` (boolean)
    Check if field is null

  - `filter.name` (object)
    Filter by vault name

  - `filter.name.eq` (string)
    Exact match

  - `filter.name.notEq` (string)
    Not equal to

  - `filter.name.contains` (string)
    Contains substring (case-insensitive)

  - `filter.name.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.name.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.name.in` (array)
    Value is in the list

  - `filter.name.notIn` (array)
    Value is not in the list

  - `filter.name.isNull` (boolean)
    Check if field is null

  - `filter.description` (object)
    Filter by vault description

  - `filter.description.eq` (string)
    Exact match

  - `filter.description.notEq` (string)
    Not equal to

  - `filter.description.contains` (string)
    Contains substring (case-insensitive)

  - `filter.description.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.description.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.description.in` (array)
    Value is in the list

  - `filter.description.notIn` (array)
    Value is not in the list

  - `filter.description.isNull` (boolean)
    Check if field is null

  - `filter.externalId` (object)
    Filter by external ID

  - `filter.externalId.eq` (string)
    Exact match

  - `filter.externalId.notEq` (string)
    Not equal to

  - `filter.externalId.contains` (string)
    Contains substring (case-insensitive)

  - `filter.externalId.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.externalId.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.externalId.in` (array)
    Value is in the list

  - `filter.externalId.notIn` (array)
    Value is not in the list

  - `filter.externalId.isNull` (boolean)
    Check if field is null

  - `filter.correlationId` (object)
    Filter by correlation ID

  - `filter.correlationId.eq` (string)
    Exact match

  - `filter.correlationId.notEq` (string)
    Not equal to

  - `filter.correlationId.contains` (string)
    Contains substring (case-insensitive)

  - `filter.correlationId.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.correlationId.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.correlationId.in` (array)
    Value is in the list

  - `filter.correlationId.notIn` (array)
    Value is not in the list

  - `filter.correlationId.isNull` (boolean)
    Check if field is null

  - `filter.createdAt` (object)
    Filter by creation timestamp

  - `filter.createdAt.eq` (string)
    Exact timestamp match
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.notEq` (string)
    Not equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.before` (string)
    Before this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.after` (string)
    After this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.gte` (string)
    Greater than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.lte` (string)
    Less than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.between` (object)
    Between two timestamps (inclusive)

  - `filter.createdAt.between.start` (string)
    Start of time range (inclusive)
    Example: "2024-08-01T00:00:00Z"

  - `filter.createdAt.between.end` (string)
    End of time range (inclusive)
    Example: "2024-08-31T23:59:59Z"

  - `filter.createdAt.isNull` (boolean)
    Check if field is null

  - `filter.createdAt.relativeDays` (integer)
    Relative days from now (negative for past, positive for future)
    Example: -7

  - `filter.updatedAt` (object)
    Filter by last-update timestamp

  - `filter.updatedAt.eq` (string)
    Exact timestamp match
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.notEq` (string)
    Not equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.before` (string)
    Before this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.after` (string)
    After this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.gte` (string)
    Greater than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.lte` (string)
    Less than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.between` (object)
    Between two timestamps (inclusive)

  - `filter.updatedAt.between.start` (string)
    Start of time range (inclusive)
    Example: "2024-08-01T00:00:00Z"

  - `filter.updatedAt.between.end` (string)
    End of time range (inclusive)
    Example: "2024-08-31T23:59:59Z"

  - `filter.updatedAt.isNull` (boolean)
    Check if field is null

  - `filter.updatedAt.relativeDays` (integer)
    Relative days from now (negative for past, positive for future)
    Example: -7

  - `search` (string)
    Case-insensitive search over vault ID, name, description, external ID, and correlation ID.
    Example: "Treasury"

## Response 200 fields (application/json):

  - `filter` (object)

  - `filter.previousPageToken` (string)
    The token to retrieve the previous page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.nextPageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.total` (integer, required)
    The total number of results
    Example: 100

  - `vaults` (array)

  - `vaults.id` (string, required)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `vaults.createdBy` (string, required)
    The user ID that created the vault
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `vaults.createdAt` (string, required)
    The date and time the vault was created
    Example: "2022-03-29T10:22:22.420Z"

  - `vaults.updatedAt` (string, required)
    The date and time the vault was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `vaults.name` (string, required)
    The name of the vault
    Example: "Treasury vault"

  - `vaults.description` (string)
    The description of the vault
    Example: "A vault used by the treasury department"

  - `vaults.externalId` (string)
    External ID of this vault, unique to the organization
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `vaults.correlationId` (string)
    Correlation ID for the vault
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


